%global debug_package %{nil}
# header only lib

Name:           simpleini
Version:        4.19
Release:        1%{?dist}
Summary:        C++ library providing a simple API to read and write INI-style files

License:        MIT
URL:            https://github.com/brofield/simpleini
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
# for tests
BuildRequires:  gtest-devel

%global _description %{expand:
A cross-platform library that provides a simple API to read and write INI-
style configuration files. It supports data files in ASCII, MBCS and
Unicode. It is designed explicitly to be portable to any platform and has
been tested on Windows, WinCE and Linux. Released as open-source and free
using the MIT licence.}

%description
%{_description}


%package devel
BuildArch: noarch
Summary: %{summary}
Provides: %{name}-static

%description devel
%{_description}


%prep
%autosetup


%build


%check
make -C tests


%install
install -D -p SimpleIni.h -t %{buildroot}%{_includedir}/


%files devel
%license LICENCE.txt
%doc README.md
%{_includedir}/SimpleIni.h


%changelog
* Sun Aug 21 2022 Jonathan Wright <jonathan@almalinux.org> 4.19-1
- Initial package build
